libzypp: zypp::parser::RepoindexFileReader::Impl Class Reference

libzypp 17.38.11

zypp::parser::RepoindexFileReader::Impl Class Reference
Inheritance diagram for zypp::parser::RepoindexFileReader::Impl:

## Public Member Functions
| Impl (const InputStream &is, ProcessResource &&callback)
| CTOR.
bool | consumeNode (Reader &reader_r)
| Callback provided to the XML parser.

## Public Attributes
DefaultIntegral< Date::Duration, 0 > | _ttl

## Private Member Functions
bool | getAttrValue (const std::string &key_r, Reader &reader_r, std::string &value_r)

## Private Attributes
ProcessResource | _callback
| Function for processing collected data.
VarReplacer | _replacer

## Detailed Description

Definition at line 125 of file RepoindexFileReader.cc.

## Constructor & Destructor Documentation

## ◆ Impl()

zypp::parser::RepoindexFileReader::Impl::Impl | ( | const InputStream & | is,
|  | ProcessResource && | callback )

CTOR.

See also
  RepoindexFileReader::RepoindexFileReader(Pathname,ProcessResource)

Definition at line 162 of file RepoindexFileReader.cc.

## Member Function Documentation

## ◆ consumeNode()

bool zypp::parser::RepoindexFileReader::Impl::consumeNode | ( | Reader & | reader_r | ) |

Callback provided to the XML parser.

Definition at line 184 of file RepoindexFileReader.cc.

## ◆ getAttrValue()

bool zypp::parser::RepoindexFileReader::Impl::getAttrValue | ( | const std::string & | key_r,
|  | Reader & | reader_r,
|  | std::string & | value_r )
| inlineprivate

Definition at line 143 of file RepoindexFileReader.cc.

## Member Data Documentation

## ◆ _ttl

DefaultIntegral<Date::Duration,0> zypp::parser::RepoindexFileReader::Impl::_ttl

Definition at line 140 of file RepoindexFileReader.cc.

## ◆ _callback

ProcessResource zypp::parser::RepoindexFileReader::Impl::_callback
| private

Function for processing collected data.

Passed-in through constructor.

Definition at line 157 of file RepoindexFileReader.cc.

## ◆ _replacer

VarReplacer zypp::parser::RepoindexFileReader::Impl::_replacer
| private

Definition at line 158 of file RepoindexFileReader.cc.

The documentation for this class was generated from the following file:

- zypp/parser/RepoindexFileReader.cc